Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance.node
Class EventSubProcessNodeInstance

    java.lang.Object
      org.jbpm.workflow.instance.impl.NodeInstanceImpl
          org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
              org.jbpm.workflow.instance.node.StateBasedNodeInstance
                  org.jbpm.workflow.instance.node.CompositeNodeInstance
                      org.jbpm.workflow.instance.node.CompositeContextNodeInstance
                          org.jbpm.workflow.instance.node.EventSubProcessNodeInstance

All Implemented Interfaces:
  Serializable, ContextableInstance, ContextInstanceContainer, EventBasedNodeInstanceInterface, EventNodeInstanceInterface, EventListener, NodeInstance, NodeInstanceContainer

    public class EventSubProcessNodeInstance

extends CompositeContextNodeInstance

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jbpm.workflow.instance.node.CompositeNodeInstance
`CompositeNodeInstance.CompositeNodeEndInstance, CompositeNodeInstance.CompositeNodeStartInstance`

Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`NodeInstanceImpl.NodeInstanceTrigger`

Field Summary

Fields inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance
`PARAMETER_MATCHER`

Constructor Summary
`EventSubProcessNodeInstance()`

Method Summary
`protected String` | `getActivationType()`
`protected EventSubProcessNode` | `getCompositeNode()`
`NodeContainer` | `getNodeContainer()`
`void` | `internalTrigger(NodeInstance from, String type)`
`void` | `nodeInstanceCompleted(NodeInstance nodeInstance, String outType)`
`void` | `signalEvent(String type, Object event)` Signals that an event has occurred.

Methods inherited from class org.jbpm.workflow.instance.node.CompositeContextNodeInstance
`addContextInstance, getCompositeContextNode, getContextContainer, getContextInstance, getContextInstance, getContextInstance, getContextInstances, removeContextInstance, setContextInstance`

Methods inherited from class org.jbpm.workflow.instance.node.CompositeNodeInstance
`addEventListeners, addNodeInstance, cancel, getCurrentLevel, getFirstNodeInstance, getIterationLevels, getLevelForNode, getNodeInstance, getNodeInstance, getNodeInstances, getNodeInstances, getNodeInstances, getState, internalTriggerOnlyParent, isLinkedIncomingNodeRequired, removeEventListeners, removeNodeInstance, setCurrentLevel, setProcessInstance, setState, triggerCompleted`

Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance
`addTimerListener, checkProcessInstance, configureTimerInstance, createTimerInstance, getEventBasedNode, getEventTypes, getTimerInstances, internalSetTimerInstances, triggerCompleted, triggerCompleted`

Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
`getExtendedNode, triggerCompleted, triggerEvent`

Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`executeAction, followConnection, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getUniqueId, getVariable, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setVariable, trigger, triggerConnection, triggerNode, triggerNodeInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventSubProcessNodeInstance

    public EventSubProcessNodeInstance()

Method Detail

### getCompositeNode

    protected EventSubProcessNode getCompositeNode()

  Overrides:
    `getCompositeNode` in class `CompositeNodeInstance`

### getNodeContainer

    public NodeContainer getNodeContainer()

  Overrides:
    `getNodeContainer` in class `CompositeNodeInstance`

### getActivationType

    protected String getActivationType()

  Overrides:
    `getActivationType` in class `StateBasedNodeInstance`

### internalTrigger

    public void internalTrigger(NodeInstance from,
                                String type)

  Overrides:
    `internalTrigger` in class `CompositeNodeInstance`

### signalEvent

    public void signalEvent(String type,
                            Object event)

  Description copied from interface: `EventListener`
  Signals that an event has occurred. The type parameter defines which type of event and the event parameter can contain additional information related to the event.

  Specified by:
    `signalEvent` in interface `EventNodeInstanceInterface`
  Specified by:
    `signalEvent` in interface `EventListener`
  Overrides:
    `signalEvent` in class `CompositeNodeInstance`
  Parameters:
    `type` - the type of event
    `event` - the data associated with this event

### nodeInstanceCompleted

    public void nodeInstanceCompleted(NodeInstance nodeInstance,
                                      String outType)

  Overrides:
    `nodeInstanceCompleted` in class `CompositeNodeInstance`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.